Package Details: qgroundcontrol-bin 4.0.11-1

Git Clone URL: https://aur.archlinux.org/qgroundcontrol-bin.git (read-only, click to copy)
Package Base: qgroundcontrol-bin
Description: Ground control for unmanned vehicles.
Upstream URL: https://github.com/mavlink/qgroundcontrol
Licenses: GPL3
Submitter: pryre
Maintainer: itseris
Last Packager: itseris
Votes: 2
Popularity: 0.000032
First Submitted: 2019-04-17 10:57
Last Updated: 2020-11-08 22:28

Latest Comments

coder_kalyan commented on 2021-03-26 17:36

Hey all, I talked to the maintainer and the linux binary is still built and can be found on S3: https://s3-us-west-2.amazonaws.com/qgroundcontrol/latest/QGroundControl.tar.bz2

This should be enough to build the 4.1 package :)

However, he also mentioned that he'd like to move away from this in the long term, so @itseris if you don't mind it might be helpful to build from source in the future.

itseris commented on 2021-02-04 00:05

Unfortunately, the latest versions of QGroundControl have not been released with a linux binary, so the package will have to remain out of date for now.

itseris commented on 2020-11-08 22:22

Hey guys! I've taken over as package maintainer. If the version is out of date just flag it please :)

pryre commented on 2020-05-15 23:26

Hi everyone,

Sorry to leave things so long, but I no longer have the time to maintain these packages properly. I'll bump up for this update, but that's going to be all from me.

Good luck and happy flying!

pryre commented on 2019-05-01 02:50

You should probably recheck this, as far as I know there was an issue with v3.5.0 in their build script (I had to write a patch to get it to use libicui18n.so instead of libicui18n.so.56). This has been removed in v3.5.1, so I think it is strange if you are still getting the error. I only have the following libicui18n.so.64 files (and symlinks) and I am able to run both v3.5.1 and v3.5.2.

kikislater commented on 2019-04-28 06:25

So this package is broken since we have an upstream version of ICU in Arch !

$ qgroundcontrol-bin

/opt/qgroundcontrol-bin/QGroundControl: error while loading shared libraries:

libicui18n.so.56: cannot open shared object file: No such file or directory

Not your responsability but seems it should be reported to QGC as same error happen in AppImage